> ## Documentation Index > Fetch the complete documentation index at: https://documents.trocco.io/llms.txt > Use this file to discover all available pages before exploring further. # 転送設定定義作成 > 転送設定定義を作成します。 ## OpenAPI ````json POST /api/job_definitions { "openapi": "3.0.3", "info": { "title": "trocco APIリファレンス", "description": "trocco APIリファレンス", "version": "0.0.1" }, "servers": [ { "url": "https://trocco.io" } ], "security": [ { "ApiKeyAuth": [] } ], "tags": [ { "name": "users", "description": "ユーザー", "externalDocs": { "url": "https://documents.trocco.io/docs/about-account-user" } }, { "name": "teams", "description": "チーム", "externalDocs": { "url": "https://documents.trocco.io/docs/team" } }, { "name": "connections", "description": "接続情報", "externalDocs": { "url": "https://documents.trocco.io/docs/connection-configurations" } }, { "name": "custom_connectors", "description": "カスタムコネクタ定義" }, { "name": "datamart_definitions", "description": "データマート定義", "externalDocs": { "url": "https://documents.trocco.io/docs/data-mart" } }, { "name": "environment_groups", "description": "環境グループ" }, { "name": "environments", "description": "環境" }, { "name": "jobs", "description": "転送ジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/etl-configuration" } }, { "name": "pipeline_jobs", "description": "ワークフロージョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/about-workflow" } }, { "name": "resource_groups", "description": "リソースグループ", "externalDocs": { "url": "https://documents.trocco.io/docs/resource-group" } }, { "name": "dbt_git_repositories", "description": "dbt Gitリポジトリ" }, { "name": "dbt_job_definitions", "description": "dbtジョブ設定", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "dbt_jobs", "description": "dbtジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "notification_destinations", "description": "通知先", "externalDocs": { "url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings" } } ], "externalDocs": { "description": "trocco APIについて", "url": "https://documents.trocco.io/docs/trocco-api" }, "paths": { "/api/job_definitions": { "post": { "summary": "転送設定定義作成\n", "description": "転送設定定義を作成します。\n", "tags": [ "job_definitions" ], "operationId": "postJobDefinition", "requestBody": { "content": { "application/json": { "schema": { "title": "JobDefinitionCreateInput", "type": "object", "allOf": [ { "title": "JobDefinitionGeneral", "type": "object", "properties": { "name": { "description": "転送設定名", "type": "string" }, "description": { "description": "転送設定メモ", "type": "string" }, "resource_group_id": { "description": "リソースグループID。リソースグループに追加すると、他のユーザーに設定を共有できるようになります。", "type": "integer", "nullable": true }, "self_hosted_runner_cluster_id": { "description": "Self-Hosted Runnerクラスタ ID。指定すると、指定したクラスタ上でジョブを実行します。未指定の場合はTROCCOがホストする実行基盤で実行されます。
\nSelf-Hosted Runnerが利用可能なアカウントでのみ指定できます。利用できないアカウントで指定した場合や、実行権限のないクラスタを指定した場合はエラーになります。\n", "type": "integer", "nullable": true }, "is_runnable_concurrently": { "description": "終了していないジョブが存在するとき、並列でジョブが起動することを許可するかどうかを設定します。\n", "type": "boolean", "default": false }, "retry_limit": { "description": "1以上を設定すると、転送が途中で失敗した場合に転送処理を最初からやり直します。転送処理が冪等でない場合、レコード重複等が発生する場合があります。\n", "type": "integer", "default": 0 }, "resource_enhancement": { "description": "※このパラメーターはプロフェッショナルプランでのみご利用いただけます。
\nジョブ実行時に利用するリソースサイズを指定できます。指定しなかった場合、転送設定側で指定されているリソースサイズが適用されます。
\nまた、コネクタによって指定できる値が異なります。
\n- 通常のコネクタ: `medium`, `large`, `xlarge`
\n- 一部例外的なコネクタ: `custom_spec`, `xlarge`
\n指定できる各値のスペックや、一部例外的なコネクタの種類など、詳しくは[リソース増強オプションの種類およびスペック](https://documents.trocco.io/docs/professional-plan#%E3%83%AA%E3%82%BD%E3%83%BC%E3%82%B9%E5%A2%97%E5%BC%B7%E3%82%AA%E3%83%97%E3%82%B7%E3%83%A7%E3%83%B3%E3%81%AE%E7%A8%AE%E9%A1%9E%E3%81%8A%E3%82%88%E3%81%B3%E3%82%B9%E3%83%9A%E3%83%83%E3%82%AF)を参照ください。
\n", "type": "string", "enum": [ "medium", "custom_spec", "large", "xlarge" ], "nullable": true } } }, { "properties": { "input_option_type": { "description": "転送元の種別\n作成可能なコネクタには限りがあります。詳しくはenum部分を参照ください。\n", "type": "string", "enum": [ "backlog", "bakuraku", "bigquery", "custom_connector", "databricks", "facebook_ads_insights", "gcs", "google_ads", "google_analytics4", "google_drive", "google_spreadsheets", "http", "hubspot", "kaonavi", "kintone", "marketo", "mongodb", "mysql", "oracle", "pagerduty", "postgresql", "redshift", "s3", "salesforce", "sftp", "smart_hr", "snowflake", "sqlserver", "yahoo_ads_api_ydn", "yahoo_ads_api_yss" ] }, "input_option": { "type": "object", "allOf": [ { "title": "InputOption", "type": "object", "description": "転送元の設定内容\n", "properties": { "gcs_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "GcsInputOptionCreateInput", "type": "object", "description": "転送元gcsでの入力オプション\n", "properties": { "gcs_connection_id": { "description": "GCSの接続情報のID", "type": "integer" }, "bucket": { "description": "GCSのバケット名\n", "type": "string" }, "path_prefix": { "description": "パスプレフィックス\n", "type": "string" }, "incremental_loading_enabled": { "description": "差分転送するかどうかのフラグ\n", "type": "boolean", "default": false }, "last_path": { "description": "差分転送の場合、最後に転送されたパスを指定。 差分更新時はここで指定されたパスより辞書順で後ろのデータを転送します。 フォームが空欄の場合は最初から転送します。 特別な理由がない限り、この値を変更しないでください。データの重複が起こる可能性があります。", "type": "string", "nullable": true }, "is_skip_header_line": { "description": "ヘッダー行をスキップするかどうかのフラグ ヘッダー行を含まないCSV/TSVファイルの場合、TROCCO側で生成した仮のヘッダー名を割り当てます。", "type": "boolean", "default": false }, "stop_when_file_not_found": { "description": "指定のパスにファイルが存在しなかった場合に転送を続行するか", "type": "boolean", "default": false }, "decompression_type": { "description": "圧縮形式 圧縮されていないファイルの場合はnullを指定するか項目自体省略可能です。", "type": "string", "enum": [ "bzip2", "gzip", "targz", "zip" ], "nullable": true }, "nul_character_removal_enabled": { "description": "ファイル内のNUL文字 (0x00) をパース前に除去するかどうかのフラグ。 NUL文字が原因で行が欠落する、またはカラム数不足のエラーになる場合に有効にしてください。 入力ファイル形式がCSVで、かつ文字コードがASCII互換 (UTF-8 / Shift_JIS / EUC-JP / US-ASCII / ISO-8859系) の場合のみ適用されます。 条件を満たさない場合はtrueを指定してもfalseとして保存されます。", "type": "boolean", "default": false }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "decoder": { "description": "解凍方式の指定\n", "allOf": [ { "title": "DecoderInput", "type": "object", "properties": { "match_name": { "type": "string", "nullable": true, "description": "解凍後の相対パス。未入力の場合、圧縮ファイル内のすべてのデータが転送対象になります。\n" } } }, { "nullable": true } ] } }, "allOf": [ { "title": "ParsersCreateInputs", "type": "object", "properties": { "csv_parser": { "allOf": [ { "title": "CsvParser", "type": "object", "description": "CSV形式のファイルをパースするための設定。\n", "properties": { "delimiter": { "description": "区切り文字\n", "type": "string", "default": "," }, "quote": { "description": "クォート文字\n", "type": "string", "default": "\"" }, "escape": { "description": "エスケープ文字\n", "type": "string", "nullable": true, "default": "\\" }, "skip_header_lines": { "description": "スキップするヘッダー行数\n", "type": "integer", "default": 0 }, "null_string_enabled": { "description": "NULLに置換される文字列\n", "type": "boolean", "default": false }, "null_string": { "description": "置換元の文字列。未入力の場合、空文字がNULLに置換されます。\n", "type": "string" }, "trim_if_not_quoted": { "description": "引用符がない場合に値から空白を取り除くかどうか\n", "type": "boolean", "default": false }, "quotes_in_quoted_fields": { "description": "イレギュラーなクオートの処理方式。クオート付きフィールド内で、イレギュラーなクオートが存在した場合の処理方法\n", "type": "string", "enum": [ "ACCEPT_ONLY_RFC4180_ESCAPED", "ACCEPT_STRAY_QUOTES_ASSUMING_NO_DELIMITERS_IN_FIELDS" ], "default": "ACCEPT_ONLY_RFC4180_ESCAPED" }, "comment_line_marker": { "description": "コメントラインマーカー。この文字が行の始めにあったらスキップします\n", "type": "string" }, "allow_optional_columns": { "description": "カラム数が減っている行の処理。true: 足りないカラムをNULL補完する。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "allow_extra_columns": { "description": "カラム数が増えている行の処理。 true: カラムを無視して処理。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "max_quoted_size_limit": { "description": "引用符で囲める最大データ量\n", "type": "integer", "default": 131072 }, "stop_on_invalid_record": { "description": "不正なレコードが存在した場合に転送を中止するかどうか。\n", "type": "boolean", "default": true }, "default_time_zone": { "description": "デフォルトのタイムゾーン\n", "type": "string", "default": "UTC" }, "default_date": { "description": "日付初期設定。時刻部分のみの値(例: 12:34:56)があった場合に設定される、日付部分のデフォルト値\n", "type": "string", "default": "1970-01-01" }, "newline": { "description": "改行コード\n", "type": "string", "enum": [ "CRLF", "LF", "CR" ], "default": "CRLF" }, "charset": { "description": "文字コード\n", "type": "string" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "columns" ] }, "jsonl_parser": { "allOf": [ { "title": "JsonlParser", "type": "object", "description": "Jsonl形式のファイルをパースするための設定。\n", "properties": { "stop_on_invalid_record": { "type": "boolean", "description": "不正なレコードが存在した場合に転送を中止するかどうか\n", "default": true }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン\n", "default": "UTC" }, "newline": { "type": "string", "nullable": true, "description": "改行コード\n", "default": "CRLF" }, "charset": { "type": "string", "nullable": true, "description": "文字エンコーディング\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "time_zone": { "type": "string", "description": "タイムゾーン\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "columns" ] }, "jsonpath_parser": { "allOf": [ { "title": "JsonpathParser", "type": "object", "description": "JsonPath形式のファイルをパースするための設定。\n", "properties": { "root": { "type": "string", "description": "ルート\n" }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン\n", "default": "UTC" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "time_zone": { "type": "string", "description": "タイムゾーン\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "root", "columns" ] }, "ltsv_parser": { "allOf": [ { "title": "LtsvParser", "type": "object", "description": "LTSV形式のファイルをパースするための設定。\n", "properties": { "newline": { "type": "string", "nullable": true, "description": "改行コード\n", "default": "CRLF" }, "charset": { "type": "string", "nullable": true, "description": "文字エンコーディング\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } }, "required": [ "columns" ] }, { "nullable": true } ], "required": [ "columns" ] }, "excel_parser": { "allOf": [ { "title": "ExcelParser", "type": "object", "description": "Excel形式のファイルをパースするための設定。\n", "properties": { "default_time_zone": { "type": "string", "description": "日時カラムのタイムゾーン\n" }, "sheet_name": { "type": "string", "description": "シート名\n" }, "skip_header_lines": { "type": "integer", "description": "スキップするヘッダー行数\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "formula_handling": { "type": "string" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "sheet_name", "skip_header_lines", "columns" ] }, "xml_parser": { "allOf": [ { "title": "XmlParser", "type": "object", "description": "XML形式のファイルをパースするための設定。\n", "properties": { "root": { "type": "string", "description": "ルートのパス(XPath形式)\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。typeがtimestampのときに指定することができます。\n" }, "path": { "type": "string", "description": "パス(XPath形式)\n" }, "timezone": { "type": "string", "description": "タイムゾーン。typeがtimestampのときに指定することができます。\n" } }, "required": [ "name", "type", "path" ] } } }, "required": [ "root", "columns" ] }, { "nullable": true } ] }, "parquet_parser": { "allOf": [ { "title": "ParquetParser", "type": "object", "description": "Parquet形式のファイルをパースするための設定。\n", "properties": { "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } }, "required": [ "columns" ] }, { "nullable": true } ] }, "raw_parser": { "allOf": [ { "title": "RawParser", "type": "object", "description": "ファイル全体を1レコード(単一カラム)として読み込むための設定。\n改行やデリミタで分割しないため、ヘッダーの無い複数行の生ログを「1ファイル = 1レコード」で取り込む用途に利用します。\nカラムはこの設定で指定する単一カラムのみとなるため、columns の指定はありません。\n", "properties": { "column_name": { "description": "ファイル全体の内容を格納するカラム名\n", "type": "string", "default": "record", "minLength": 1, "maxLength": 255 }, "charset": { "description": "文字コード。\n注意: UTF-16(バイトオーダー未指定)を指定すると、JDK のデコーダが先頭の BOM を\nバイトオーダー指定として消費するため、取り込んだ値に BOM が残りません。\nバイト列を厳密に保持したい場合は UTF-16BE / UTF-16LE を指定してください。\n", "type": "string", "default": "UTF-8", "enum": [ "UTF-8", "UTF-16BE", "UTF-16LE", "UTF-16", "Shift_JIS", "US-ASCII", "ISO-8859-1" ] }, "max_size_bytes": { "description": "1ファイルあたりに読み込む最大バイト数。\n超過した場合の挙動は stop_on_oversize で指定します。\n切り詰めはバイト単位で行われるため、末尾のマルチバイト文字が途中で切れる場合があります\n(切れた文字は出力に含まれません)。切り詰め時は末尾にマーカーが付与されるため、\n出力される値はこのバイト数をわずかに超えます。\n注意: ファイル内容を単一レコードとしてメモリ上に展開するため、1タスクあたりのピークメモリは\nこの値の約10倍になります(例: 上限の 256 MiB を指定すると 1 タスクあたり数 GiB のヒープを要します)。\nEmbulk は既定でコア数×2 タスクを並列実行するため、既定の 32 MiB を大きく超える値を設定する場合は\nworker のメモリサイジングに十分注意してください。\n", "type": "integer", "format": "int64", "minimum": 1, "maximum": 268435456, "default": 33554432 }, "stop_on_oversize": { "description": "max_size_bytes を超過した場合に転送を中止するかどうか。\nfalse の場合は超過分を切り詰め、切り詰めたことを示すマーカーを末尾に付与します。\n切り詰めても転送は成功扱いになり、データが欠けたことに気づけないため、既定は true です。\n", "type": "boolean", "default": true } } }, { "nullable": true } ] } } } ], "required": [ "bucket", "path_prefix", "gcs_connection_id" ] } ] }, "mysql_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "MysqlInputOptionInput", "type": "object", "description": "転送元MySQLでの入力オプション\n", "properties": { "database": { "type": "string", "description": "データベース名\n" }, "query": { "type": "string", "description": "クエリ。incremental_loading_enabledがfalseの場合は必須です。\n", "nullable": true }, "incremental_loading_enabled": { "type": "boolean", "description": "転送方法。\ntrue: 差分転送 (前回転送時からの増分データのみ転送)\nfalse: クエリを使用して転送\n", "default": false }, "table": { "type": "string", "nullable": true, "description": "テーブル名。差分転送の場合必須です。\n" }, "incremental_columns": { "type": "string", "nullable": true, "description": "増分データを判別するカラム。\nここで指定したカラムの値が、転送の度に「最後に転送されたレコード」に保存されます。\n2回目以降の転送時は、「増分データを判別するカラム」の値が前回転送時の値 (=「最後に転送されたレコード」) より大きいレコードのみ転送します。\n複数カラム指定したい場合はカンマ区切りで指定してください。未指定の場合、プライマリーキーが利用されます。\n" }, "last_record": { "type": "string", "nullable": true, "description": "最後に転送されたレコード\n差分更新時はここで指定された値より新しいデータを転送します。\nフォームが空欄の場合は最初から転送します。特別な理由がない限り、この値を変更しないでください。\nデータの重複が起こる可能性があります。\n" }, "fetch_rows": { "type": "integer", "description": "カーソルが一度に処理するレコード数\n", "default": 10000 }, "connect_timeout": { "type": "integer", "description": "接続タイムアウト (秒)\n", "default": 300 }, "socket_timeout": { "type": "integer", "description": "ソケットタイムアウト (秒)\n", "default": 1800 }, "default_time_zone": { "type": "string", "nullable": true, "description": "タイムゾーン\n" }, "use_legacy_datetime_code": { "type": "boolean", "nullable": true, "description": "レガシーな時刻コード設定\n", "default": false }, "mysql_connection_id": { "type": "integer", "description": "MySQL接続情報ID\n" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "database", "mysql_connection_id", "input_option_columns" ] } ] }, "snowflake_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "SnowflakeInputOptionInput", "type": "object", "description": "転送元snowflakeでの入力オプション\n", "properties": { "warehouse": { "type": "string", "description": "ウェアハウス名\n" }, "database": { "type": "string", "description": "データベース名\n" }, "schema": { "type": "string", "description": "スキーマ名\n", "default": "PUBLIC" }, "query": { "type": "string", "description": "クエリ\n" }, "fetch_rows": { "type": "integer", "description": "カーソルが一度に処理するレコード数\n", "default": 10000 }, "connect_timeout": { "type": "integer", "description": "接続タイムアウト (秒)\n", "default": 300 }, "socket_timeout": { "type": "integer", "description": "ソケットタイムアウト (秒)\n", "default": 1800 }, "snowflake_connection_id": { "type": "integer", "description": "Snowflake接続情報ID\n" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "warehouse", "database", "query", "snowflake_connection_id", "input_option_columns" ] } ] }, "salesforce_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "SalesforceInputOptionInput", "type": "object", "description": "転送元Salesforceのプロパティ\n", "properties": { "soql": { "type": "string", "description": "SOQL\nオブジェクト取得方法(object_acquisition_method)がオブジェクトの項目を全転送(all_columns)の場合、この項目は入力不要です。\nsoqlの場合のみ指定します。\n" }, "api_version": { "type": "string", "description": "APIバージョン\n", "default": "64.0" }, "object": { "type": "string", "description": "オブジェクト名\n" }, "object_acquisition_method": { "type": "string", "description": "オブジェクト取得方法\nall_columns: オブジェクトの項目を全転送。指定したオブジェクトの項目を、すべて転送します。あとで「クエリ(SOQL) を記述して転送」に変更することもできます。\nsoql: クエリ (SOQL) を記述して転送。指定したオブジェクトに対し、SOQLを記述して転送します。転送項目をカスタマイズしたい場合に適しています。\nincremental: オブジェクトの項目を差分転送。前回転送時からの増分データのみ転送します。\n", "enum": [ "all_columns", "soql", "incremental" ], "default": "all_columns" }, "is_convert_type_custom_columns": { "type": "boolean", "description": "型変換モード\nfalse: カスタムカラム(columns)を元に転送をします。\ntrue: カスタムカラム(columns)をSTRING型に変更。カスタムカラムをSTRING型に変更を選択した場合、BOOLEAN型以外のすべてのカスタムカラムの型をSTRINGに変更します。\n", "default": false }, "include_deleted_or_archived_records": { "type": "boolean", "description": "削除済み・アーカイブ済みレコードの抽出\n", "default": false }, "incremental_columns": { "type": "string", "nullable": true, "description": "増分データを判別するカラム。\nここで指定したカラムの値が、転送の度に「最後に転送されたレコード」に保存されます。\n2回目以降の転送時は、「増分データを判別するカラム」の値が前回転送時の値 (=「最後に転送されたレコード」) より大きいレコードのみ転送します。\n複数カラム指定したい場合はカンマ区切りで指定してください。\nオブジェクト取得方法(object_acquisition_method)がincrementalの場合は必須です。\n" }, "last_record": { "type": "string", "nullable": true, "description": "最後に転送されたレコード\n差分更新時はここで指定された値より新しいデータを転送します。\nフォームが空欄の場合は最初から転送します。特別な理由がない限り、この値を変更しないでください。\nデータの重複が起こる可能性があります。\n" }, "salesforce_connection_id": { "type": "integer", "description": "Salesforce接続情報ID\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "title": "ColumnSetting", "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] } }, "required": [ "salesforce_connection_id", "object", "columns" ] } ] }, "google_spreadsheets_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "GoogleSpreadsheetsInputOptionInput", "type": "object", "description": "転送元Google Spreadsheetsでの入力オプション\n", "properties": { "google_spreadsheets_connection_id": { "type": "integer", "description": "Google Spreadsheets接続情報ID\n" }, "spreadsheets_url": { "type": "string", "description": "シートのURL\n" }, "worksheet_title": { "type": "string", "description": "シート名\n" }, "start_row": { "type": "integer", "default": 2, "description": "取り込み開始行番号。\n取り込むデータの最初の行番号を入力してください。\n見出しの行がある場合は、その次の行番号を入力してください。\n" }, "start_column": { "type": "string", "default": "A", "description": "取り込み開始列番号。\n取り込むデータの最初の列番号をアルファベットで入力してください。\n" }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン。東京の場合 `Asia/Tokyo`、UTCの場合は `Etc/Utc` です。\n", "example": "Asia/Tokyo" }, "null_string": { "type": "string", "description": "NULLと認識させたい文字列を入力してください。未入力の場合、空文字がNULLとして認識されます。\n" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "GoogleSpreadsheetsInputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" }, "format": { "type": "string", "nullable": true, "description": "カラムのフォーマット", "example": "%Y/%m/%d %H:%M:%S" } }, "required": [ "name", "type" ] } ] } }, "required": [ "google_spreadsheets_connection_id", "spreadsheets_url", "worksheet_title", "default_time_zone", "input_option_columns" ] } ] }, "postgresql_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "PostgreSQLInputOptionInput", "type": "object", "description": "転送元postgresqlでの入力オプション\n", "properties": { "database": { "type": "string", "description": "データベース名\n" }, "schema": { "type": "string", "description": "スキーマ名\n", "default": "public" }, "query": { "type": "string", "description": "クエリ\n" }, "incremental_loading_enabled": { "type": "boolean", "description": "転送方法。\ntrue: 差分転送 (前回転送時からの増分データのみ転送)\nfalse: クエリを使用して転送\n", "default": false }, "table": { "type": "string", "nullable": true, "description": "テーブル名。差分転送の場合必須です。\n" }, "incremental_columns": { "type": "string", "nullable": true, "description": "増分データを判別するカラム。\nここで指定したカラムの値が、転送の度に「最後に転送されたレコード」に保存されます。\n2回目以降の転送時は、「増分データを判別するカラム」の値が前回転送時の値 (=「最後に転送されたレコード」) より大きいレコードのみ転送します。\n複数カラム指定したい場合はカンマ区切りで指定してください。未指定の場合、プライマリーキーが利用されます。\n" }, "last_record": { "type": "string", "nullable": true, "description": "最後に転送されたレコード\n差分更新時はここで指定された値より新しいデータを転送します。\nフォームが空欄の場合は最初から転送します。特別な理由がない限り、この値を変更しないでください。\nデータの重複が起こる可能性があります。\n" }, "default_time_zone": { "type": "string", "nullable": true, "description": "タイムゾーン\n", "default": "UTC" }, "connect_timeout": { "type": "integer", "description": "接続タイムアウト (秒)\n", "default": 300 }, "socket_timeout": { "type": "integer", "description": "ソケットタイムアウト (秒)\n", "default": 1800 }, "fetch_rows": { "type": "integer", "description": "カーソルが一度に処理するレコード数\n", "default": 10000 }, "postgresql_connection_id": { "type": "integer", "description": "PostgreSQL接続情報ID\n" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_column_options": { "allOf": [ { "title": "PostgresqlInputOptionColumn", "type": "object", "description": "取り込みデータ型指定\n", "properties": { "column_name": { "type": "string", "description": "interval型など、TROCCOでサポートされていないデータ型のカラム名", "example": "duration" }, "column_value_type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "変換可能なデータ型", "example": "string" } }, "required": [ "column_name", "column_value_type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "database", "postgresql_connection_id", "input_option_columns" ] } ] }, "sqlserver_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "SQLServerInputOptionInput", "type": "object", "description": "転送元sqlserverでの入力オプション\n", "properties": { "database": { "type": "string", "description": "データベース名\n" }, "schema": { "type": "string", "nullable": true, "description": "スキーマ名。未指定の場合は接続ユーザーのデフォルトスキーマ (通常は dbo) が使用されます。\n" }, "query": { "type": "string", "description": "クエリ\n" }, "incremental_loading_enabled": { "type": "boolean", "description": "転送方法。\ntrue: 差分転送 (前回転送時からの増分データのみ転送)\nfalse: クエリを使用して転送\n", "default": false }, "table": { "type": "string", "nullable": true, "description": "テーブル名。差分転送の場合必須です。\n" }, "incremental_columns": { "type": "string", "nullable": true, "description": "増分データを判別するカラム。\nここで指定したカラムの値が、転送の度に「最後に転送されたレコード」に保存されます。\n2回目以降の転送時は、「増分データを判別するカラム」の値が前回転送時の値 (=「最後に転送されたレコード」) より大きいレコードのみ転送します。\n複数カラム指定したい場合はカンマ区切りで指定してください。未指定の場合、プライマリーキーが利用されます。\n" }, "last_record": { "type": "string", "nullable": true, "description": "最後に転送されたレコード\n差分更新時はここで指定された値より新しいデータを転送します。\nフォームが空欄の場合は最初から転送します。特別な理由がない限り、この値を変更しないでください。\nデータの重複が起こる可能性があります。\n" }, "default_time_zone": { "type": "string", "nullable": true, "description": "タイムゾーン\n", "default": "UTC" }, "connect_timeout": { "type": "integer", "description": "接続タイムアウト (秒)\n", "default": 300 }, "socket_timeout": { "type": "integer", "description": "ソケットタイムアウト (秒)\n", "default": 1800 }, "fetch_rows": { "type": "integer", "description": "カーソルが一度に処理するレコード数\n", "default": 10000 }, "sqlserver_connection_id": { "type": "integer", "description": "SQL Server接続情報ID\n" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_column_options": { "description": "取り込みデータ型指定(作成順)\n", "allOf": [ { "title": "SqlserverInputOptionColumn", "type": "object", "description": "取り込みデータ型指定\n", "properties": { "column_name": { "type": "string", "description": "TROCCOでサポートされていないデータ型のカラム名", "example": "created_at" }, "column_value_type": { "type": "string", "enum": [ "string" ], "description": "変換可能なデータ型。現在は string のみ指定できます。", "example": "string" } }, "required": [ "column_name", "column_value_type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "database", "sqlserver_connection_id", "input_option_columns" ] } ] }, "bigquery_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "BigqueryInputOptionCreateInput", "type": "object", "description": "転送元bigqueryでの入力オプション\n", "properties": { "bigquery_connection_id": { "description": "Bigqueryの接続情報のID\n", "type": "integer" }, "gcs_uri": { "type": "string", "description": "一時データエクスポート先Google Cloud Storage URI\n" }, "gcs_uri_format": { "type": "string", "nullable": true, "default": "bucket", "description": "一時データエクスポート指定\nbucket: gcs_uriにGoogle BigQueryのデータを一時的にエクスポートするGoogle Cloud Storageバケットを指定してください。\ncustom_path: gcs_uriにGoogle BigQueryのデータを一時的にエクスポートするGoogle Cloud Storageバケット・フォルダを指定してください。必ず、転送設定ごとに固有のバケット・フォルダを指定してください。\n", "enum": [ "bucket", "custom_path" ] }, "query": { "type": "string", "description": "SQL\n" }, "temp_dataset": { "type": "string", "description": "一時テーブル作成先データセット\n" }, "is_standard_sql": { "type": "boolean", "nullable": true, "default": true, "description": "SQLタイプ\ntrue: 標準SQL\nfalse: レガシーSQL\n" }, "cleanup_gcs_files": { "type": "boolean", "nullable": true, "default": true, "description": "一時データの削除ポリシー\ntrueに設定した場合、一時データエクスポート先Google Cloud Storage URIに指定したディレクトリ内のすべてのファイルが削除されます。\n" }, "file_format": { "type": "string", "nullable": true, "default": "CSV", "description": "一時データのファイル形式\nCSV: 通常はこちらを選択してください。クエリ結果にRECORD型を含む場合は転送できません。\nNEWLINE_DELIMITED_JSON: RECORD型を含む場合、こちらを選択してください。カラムのすべての値がNULLの場合、データ自動設定でカラムが表示されない場合があります。\n", "enum": [ "CSV", "NEWLINE_DELIMITED_JSON" ] }, "location": { "type": "string", "description": "データセットのロケーション\nGoogle BigQueryデータセットのロケーションを指定します。デフォルトはUSリージョンです。\n東京リージョンを指定する場合はasia-northeast1をご入力ください。\nロケーションの詳細は公式ドキュメントをご参照ください。\n", "default": "US" }, "cache": { "type": "boolean", "nullable": true, "default": true, "description": "クエリキャッシュを利用する\n" }, "bigquery_job_wait_second": { "type": "integer", "nullable": true, "default": 600, "description": "ジョブ待機タイムアウト(秒)\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "title": "ColumnSetting", "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] } }, "required": [ "bigquery_connection_id", "gcs_uri", "query", "temp_dataset" ] } ] }, "databricks_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "DatabricksInputOptionInput", "type": "object", "description": "転送元Databricksでの入力オプション\n", "properties": { "databricks_connection_id": { "type": "integer", "description": "Databricks接続情報ID\n" }, "catalog_name": { "type": "string", "description": "カタログ名\n" }, "schema_name": { "type": "string", "description": "スキーマ名\n" }, "query": { "type": "string", "description": "実行するSQLクエリ\n" }, "fetch_rows": { "type": "integer", "description": "カーソルが一度に処理するレコード数\n", "default": 10000 }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "databricks_connection_id", "catalog_name", "schema_name", "query", "input_option_columns" ] } ] }, "s3_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "S3InputOptionInput", "type": "object", "description": "転送元S3での入力オプション\n", "properties": { "s3_connection_id": { "description": "S3の接続情報のID", "type": "integer" }, "bucket": { "description": "S3のバケット名\n", "type": "string" }, "path_prefix": { "description": "パスプレフィックス\n未入力の場合、バケット配下の全てのファイルが対象になります\n", "type": "string", "default": "" }, "path_match_pattern": { "description": "パスの正規表現\n未入力の場合、パスプレフィックスにマッチする全てのファイルが対象になります\n", "type": "string", "default": "" }, "region": { "description": "リージョン\n", "type": "string", "default": "ap-northeast-1" }, "incremental_loading_enabled": { "description": "差分転送するかどうかのフラグ\n", "type": "boolean", "default": false }, "last_path": { "description": "差分転送の場合、最後に転送されたパスを指定。 差分更新時はここで指定されたパスより辞書順で後ろのデータを転送します。 フォームが空欄の場合は最初から転送します。 特別な理由がない限り、この値を変更しないでください。データの重複が起こる可能性があります。", "type": "string", "nullable": true }, "is_skip_header_line": { "description": "ヘッダー行をスキップするかどうかのフラグ\nヘッダー行を含まないCSV/TSVファイルの場合、TROCCO側で生成した仮のヘッダー名を割り当てます。\n", "type": "boolean", "default": false }, "stop_when_file_not_found": { "description": "指定のパスにファイルが存在しなかった場合に転送を続行するか", "type": "boolean", "default": false }, "decompression_type": { "description": "圧縮形式\n`default`を指定した場合、解凍の設定は行われません。TROCCOの画面上で自動データ設定を実行した場合のみ、bzip2/gzipが自動で判別され設定されます。\n画面操作を行わずにgzip/bzip2ファイルを転送する場合は、`gzip`または`bzip2`を明示的に指定してください。\n", "type": "string", "enum": [ "default", "zip", "targz", "gzip", "bzip2" ], "nullable": true, "default": "default" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "decoder": { "description": "解凍方式の指定\n", "allOf": [ { "title": "DecoderInput", "type": "object", "properties": { "match_name": { "type": "string", "nullable": true, "description": "解凍後の相対パス。未入力の場合、圧縮ファイル内のすべてのデータが転送対象になります。\n" } } }, { "nullable": true } ] } }, "allOf": [ { "title": "ParsersResponse", "type": "object", "properties": { "csv_parser": { "allOf": [ { "title": "CsvParser", "type": "object", "description": "CSV形式のファイルをパースするための設定。\n", "properties": { "delimiter": { "description": "区切り文字\n", "type": "string", "default": "," }, "quote": { "description": "クォート文字\n", "type": "string", "default": "\"" }, "escape": { "description": "エスケープ文字\n", "type": "string", "nullable": true, "default": "\\" }, "skip_header_lines": { "description": "スキップするヘッダー行数\n", "type": "integer", "default": 0 }, "null_string_enabled": { "description": "NULLに置換される文字列\n", "type": "boolean", "default": false }, "null_string": { "description": "置換元の文字列。未入力の場合、空文字がNULLに置換されます。\n", "type": "string" }, "trim_if_not_quoted": { "description": "引用符がない場合に値から空白を取り除くかどうか\n", "type": "boolean", "default": false }, "quotes_in_quoted_fields": { "description": "イレギュラーなクオートの処理方式。クオート付きフィールド内で、イレギュラーなクオートが存在した場合の処理方法\n", "type": "string", "enum": [ "ACCEPT_ONLY_RFC4180_ESCAPED", "ACCEPT_STRAY_QUOTES_ASSUMING_NO_DELIMITERS_IN_FIELDS" ], "default": "ACCEPT_ONLY_RFC4180_ESCAPED" }, "comment_line_marker": { "description": "コメントラインマーカー。この文字が行の始めにあったらスキップします\n", "type": "string" }, "allow_optional_columns": { "description": "カラム数が減っている行の処理。true: 足りないカラムをNULL補完する。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "allow_extra_columns": { "description": "カラム数が増えている行の処理。 true: カラムを無視して処理。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "max_quoted_size_limit": { "description": "引用符で囲める最大データ量\n", "type": "integer", "default": 131072 }, "stop_on_invalid_record": { "description": "不正なレコードが存在した場合に転送を中止するかどうか。\n", "type": "boolean", "default": true }, "default_time_zone": { "description": "デフォルトのタイムゾーン\n", "type": "string", "default": "UTC" }, "default_date": { "description": "日付初期設定。時刻部分のみの値(例: 12:34:56)があった場合に設定される、日付部分のデフォルト値\n", "type": "string", "default": "1970-01-01" }, "newline": { "description": "改行コード\n", "type": "string", "enum": [ "CRLF", "LF", "CR" ], "default": "CRLF" }, "charset": { "description": "文字コード\n", "type": "string" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "delimiter", "quote", "escape", "null_string_enabled", "skip_header_lines", "trim_if_not_quoted", "quotes_in_quoted_fields", "allow_optional_columns", "allow_extra_columns", "max_quoted_size_limit", "stop_on_invalid_record", "default_time_zone", "default_date", "newline", "columns" ] }, "jsonl_parser": { "allOf": [ { "title": "JsonlParser", "type": "object", "description": "Jsonl形式のファイルをパースするための設定。\n", "properties": { "stop_on_invalid_record": { "type": "boolean", "description": "不正なレコードが存在した場合に転送を中止するかどうか\n", "default": true }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン\n", "default": "UTC" }, "newline": { "type": "string", "nullable": true, "description": "改行コード\n", "default": "CRLF" }, "charset": { "type": "string", "nullable": true, "description": "文字エンコーディング\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "time_zone": { "type": "string", "description": "タイムゾーン\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "stop_on_invalid_record", "default_time_zone", "columns" ] }, "jsonpath_parser": { "allOf": [ { "title": "JsonpathParser", "type": "object", "description": "JsonPath形式のファイルをパースするための設定。\n", "properties": { "root": { "type": "string", "description": "ルート\n" }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン\n", "default": "UTC" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "time_zone": { "type": "string", "description": "タイムゾーン\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "root", "default_time_zone", "columns" ] }, "ltsv_parser": { "allOf": [ { "title": "LtsvParser", "type": "object", "description": "LTSV形式のファイルをパースするための設定。\n", "properties": { "newline": { "type": "string", "nullable": true, "description": "改行コード\n", "default": "CRLF" }, "charset": { "type": "string", "nullable": true, "description": "文字エンコーディング\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } }, "required": [ "columns" ] }, { "nullable": true } ], "required": [ "newline", "columns" ] }, "excel_parser": { "allOf": [ { "title": "ExcelParser", "type": "object", "description": "Excel形式のファイルをパースするための設定。\n", "properties": { "default_time_zone": { "type": "string", "description": "日時カラムのタイムゾーン\n" }, "sheet_name": { "type": "string", "description": "シート名\n" }, "skip_header_lines": { "type": "integer", "description": "スキップするヘッダー行数\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "formula_handling": { "type": "string" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "default_time_zone", "sheet_name", "skip_header_lines", "columns" ] }, "xml_parser": { "allOf": [ { "title": "XmlParser", "type": "object", "description": "XML形式のファイルをパースするための設定。\n", "properties": { "root": { "type": "string", "description": "ルートのパス(XPath形式)\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。typeがtimestampのときに指定することができます。\n" }, "path": { "type": "string", "description": "パス(XPath形式)\n" }, "timezone": { "type": "string", "description": "タイムゾーン。typeがtimestampのときに指定することができます。\n" } }, "required": [ "name", "type", "path" ] } } }, "required": [ "root", "columns" ] }, { "nullable": true } ] }, "parquet_parser": { "allOf": [ { "title": "ParquetParser", "type": "object", "description": "Parquet形式のファイルをパースするための設定。\n", "properties": { "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } }, "required": [ "columns" ] }, { "nullable": true } ] }, "raw_parser": { "allOf": [ { "title": "RawParser", "type": "object", "description": "ファイル全体を1レコード(単一カラム)として読み込むための設定。\n改行やデリミタで分割しないため、ヘッダーの無い複数行の生ログを「1ファイル = 1レコード」で取り込む用途に利用します。\nカラムはこの設定で指定する単一カラムのみとなるため、columns の指定はありません。\n", "properties": { "column_name": { "description": "ファイル全体の内容を格納するカラム名\n", "type": "string", "default": "record", "minLength": 1, "maxLength": 255 }, "charset": { "description": "文字コード。\n注意: UTF-16(バイトオーダー未指定)を指定すると、JDK のデコーダが先頭の BOM を\nバイトオーダー指定として消費するため、取り込んだ値に BOM が残りません。\nバイト列を厳密に保持したい場合は UTF-16BE / UTF-16LE を指定してください。\n", "type": "string", "default": "UTF-8", "enum": [ "UTF-8", "UTF-16BE", "UTF-16LE", "UTF-16", "Shift_JIS", "US-ASCII", "ISO-8859-1" ] }, "max_size_bytes": { "description": "1ファイルあたりに読み込む最大バイト数。\n超過した場合の挙動は stop_on_oversize で指定します。\n切り詰めはバイト単位で行われるため、末尾のマルチバイト文字が途中で切れる場合があります\n(切れた文字は出力に含まれません)。切り詰め時は末尾にマーカーが付与されるため、\n出力される値はこのバイト数をわずかに超えます。\n注意: ファイル内容を単一レコードとしてメモリ上に展開するため、1タスクあたりのピークメモリは\nこの値の約10倍になります(例: 上限の 256 MiB を指定すると 1 タスクあたり数 GiB のヒープを要します)。\nEmbulk は既定でコア数×2 タスクを並列実行するため、既定の 32 MiB を大きく超える値を設定する場合は\nworker のメモリサイジングに十分注意してください。\n", "type": "integer", "format": "int64", "minimum": 1, "maximum": 268435456, "default": 33554432 }, "stop_on_oversize": { "description": "max_size_bytes を超過した場合に転送を中止するかどうか。\nfalse の場合は超過分を切り詰め、切り詰めたことを示すマーカーを末尾に付与します。\n切り詰めても転送は成功扱いになり、データが欠けたことに気づけないため、既定は true です。\n", "type": "boolean", "default": true } } }, { "nullable": true } ], "required": [ "column_name", "charset", "max_size_bytes", "stop_on_oversize" ] } } } ], "required": [ "bucket", "s3_connection_id" ] } ] }, "google_analytics4_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "GA4InputOptionInput", "type": "object", "description": "転送元Google Analytics 4での入力オプション\n", "properties": { "google_analytics4_connection_id": { "description": "Google Analytics 4の接続情報のID", "type": "integer" }, "property_id": { "description": "プロパティID\n", "type": "string" }, "time_series": { "description": "タイムスタンプの形式\n", "type": "string", "enum": [ "dateHour", "date", "yearMonth", "year", "isoYear" ] }, "start_date": { "description": "データ取得期間の開始日\n例: 2021-01-01, NdaysAgo, yesterday, today\n", "type": "string" }, "end_date": { "description": "データ取得期間の終了日\n例: 2021-01-01, NdaysAgo, yesterday, today\n", "type": "string" }, "incremental_loading_enabled": { "description": "転送方式。差分転送するかどうかのフラグ\n", "type": "boolean", "default": false }, "last_record_time": { "description": "最新のレコード更新日時。\n差分転送の場合、最後に転送されたデータの時間を指定。\n差分更新時はここで指定された時間より後のデータを転送します。\nフォームが空欄の場合は最初から転送します。\n特別な理由がない限り、この値を変更しないでください。データの重複が起こる可能性があります。\n", "type": "string" }, "google_analytics4_input_option_dimensions": { "description": "ディメンション\n", "type": "array", "items": { "type": "object", "maxItems": 8, "properties": { "name": { "description": "ディメンション名\n", "type": "string" }, "expression": { "description": "ディメンション式\n", "type": "string" } } } }, "google_analytics4_input_option_metrics": { "description": "メトリクス\n", "type": "array", "items": { "type": "object", "maxItems": 10, "properties": { "name": { "description": "メトリクス名\n", "type": "string" }, "expression": { "description": "メトリクス式\n", "type": "string" } } } }, "retry_limit": { "description": "最大リトライ回数\n", "type": "integer", "default": 5 }, "retry_sleep": { "description": "リトライ間隔(秒)\n", "type": "integer", "default": 2 }, "raise_on_other_row": { "description": "「(other)」行が使用されている場合のステータス\nfalse: Succeededにする\ntrue: Errorにする\n", "type": "boolean", "default": true }, "limit_of_rows": { "description": "一回のリクエストで取得する行数\n", "type": "integer", "default": 10000 }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "google_analytics4_connection_id", "property_id", "time_series", "raise_on_other_row", "limit_of_rows", "google_analytics4_input_option_dimensions", "google_analytics4_input_option_metrics" ] } ] }, "kintone_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "KintoneInputOptionInput", "type": "object", "description": "転送元Kintoneでの入力オプション\n", "properties": { "kintone_connection_id": { "type": "integer", "description": "Kintone接続情報ID\n" }, "app_id": { "type": "string", "description": "アプリID\n" }, "guest_space_id": { "type": "string", "description": "ゲストスペースID\n", "nullable": true }, "expand_subtable": { "type": "boolean", "default": true, "description": "テーブル行単位で転送する\n" }, "query": { "type": "string", "description": "クエリ\n", "nullable": true }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "app_id", "kintone_connection_id", "input_option_columns", "expand_subtable" ] } ] }, "http_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "HttpInputOptionInput", "type": "object", "description": "転送元HTTPでの入力オプション\n", "properties": { "url": { "description": "URL\n", "type": "string" }, "method": { "description": "HTTPメソッド\n", "type": "string", "enum": [ "get", "post" ], "default": "get" }, "user_agent": { "description": "ユーザーエージェント\n", "type": "string", "nullable": true }, "charset": { "description": "文字エンコーディング\n", "type": "string", "nullable": true, "default": "UTF-8" }, "pager_type": { "description": "ページング設定\n", "type": "string", "enum": [ "disable", "offset", "cursor" ], "default": "disable" }, "pager_from_param": { "description": "オフセット開始パラメータ名(from)。ページング設定で`offset`を指定した場合必須です。\n", "type": "string", "nullable": true }, "pager_to_param": { "description": "オフセット終了パラメータ名(to)\n", "type": "string", "nullable": true }, "pager_pages": { "description": "ページネーションリクエスト回数。ページング設定で`offset`を指定した場合必須です。\n", "type": "integer", "nullable": true }, "pager_start": { "description": "オフセット初期値。ページング設定で`offset`を指定した場合必須です。\n", "type": "integer", "nullable": true }, "pager_step": { "description": "1リクエストで進めるオフセット増加値。ページング設定で`offset`を指定した場合必須です。\n", "type": "integer", "nullable": true }, "cursor_request_parameter_cursor_name": { "description": "カーソルをセットするパラメータ名。ページング設定で`cursor`を指定した場合必須です。\n", "type": "string", "nullable": true }, "cursor_response_parameter_cursor_json_path": { "description": "レスポンスからカーソルを取得するためのJSONPath。ページング設定で`cursor`を指定した場合必須です。\n", "type": "string", "nullable": true }, "cursor_request_parameter_limit_name": { "description": "1リクエストで取得するレコードの最大件数をセットするパラメータ名\n", "type": "string", "nullable": true }, "cursor_request_parameter_limit_value": { "description": "1リクエストで取得するレコードの最大件数\n", "type": "integer", "nullable": true }, "request_params": { "description": "リクエストパラメータ\n", "type": "array", "nullable": true, "items": { "type": "object", "properties": { "key": { "description": "パラメータ名\n", "type": "string" }, "value": { "description": "パラメータ値\n", "type": "string" }, "masking": { "description": "`true`の場合、画面上での表示がマスキングされます。\n", "type": "boolean" } }, "required": [ "key", "value" ] } }, "request_body": { "description": "リクエストボディ。POSTメソッドの場合のみ有効です。`request_params`がある場合は無視されます。\n", "type": "string", "nullable": true }, "request_headers": { "description": "リクエストヘッダ\n", "type": "array", "nullable": true, "items": { "type": "object", "properties": { "key": { "description": "ヘッダ名\n", "type": "string" }, "value": { "description": "ヘッダ値\n", "type": "string" }, "masking": { "description": "`true`の場合、画面上での表示がマスキングされます。\n", "type": "boolean" } }, "required": [ "key", "value" ] } }, "success_code": { "description": "転送データ取得時に正常系と判定するステータスコード\n", "type": "string", "nullable": true, "default": "200" }, "open_timeout": { "description": "接続時にタイムアウトするまでのミリ秒数\n", "type": "integer", "nullable": true, "default": 2000 }, "read_timeout": { "description": "読み取り時にタイムアウトするまでのミリ秒数\n", "type": "integer", "nullable": true, "default": 10000 }, "max_retries": { "description": "最大リトライ回数\n", "type": "integer", "nullable": true, "default": 5 }, "retry_interval": { "description": "リトライ間隔(ミリ秒)\n", "type": "integer", "nullable": true, "default": 10000 }, "request_interval": { "description": "リクエスト間隔(ミリ秒)\n", "type": "integer", "nullable": true, "default": 0 }, "ssl_ca": { "description": "SSL CA証明書(PEM形式)。設定すると、HTTPS接続時にサーバー証明書の検証に使用されます。\nnullを指定すると設定済みの証明書をクリアします。\n", "type": "string", "nullable": true }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "csv_parser": { "allOf": [ { "title": "CsvParser", "type": "object", "description": "CSV形式のファイルをパースするための設定。\n", "properties": { "delimiter": { "description": "区切り文字\n", "type": "string", "default": "," }, "quote": { "description": "クォート文字\n", "type": "string", "default": "\"" }, "escape": { "description": "エスケープ文字\n", "type": "string", "nullable": true, "default": "\\" }, "skip_header_lines": { "description": "スキップするヘッダー行数\n", "type": "integer", "default": 0 }, "null_string_enabled": { "description": "NULLに置換される文字列\n", "type": "boolean", "default": false }, "null_string": { "description": "置換元の文字列。未入力の場合、空文字がNULLに置換されます。\n", "type": "string" }, "trim_if_not_quoted": { "description": "引用符がない場合に値から空白を取り除くかどうか\n", "type": "boolean", "default": false }, "quotes_in_quoted_fields": { "description": "イレギュラーなクオートの処理方式。クオート付きフィールド内で、イレギュラーなクオートが存在した場合の処理方法\n", "type": "string", "enum": [ "ACCEPT_ONLY_RFC4180_ESCAPED", "ACCEPT_STRAY_QUOTES_ASSUMING_NO_DELIMITERS_IN_FIELDS" ], "default": "ACCEPT_ONLY_RFC4180_ESCAPED" }, "comment_line_marker": { "description": "コメントラインマーカー。この文字が行の始めにあったらスキップします\n", "type": "string" }, "allow_optional_columns": { "description": "カラム数が減っている行の処理。true: 足りないカラムをNULL補完する。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "allow_extra_columns": { "description": "カラム数が増えている行の処理。 true: カラムを無視して処理。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "max_quoted_size_limit": { "description": "引用符で囲める最大データ量\n", "type": "integer", "default": 131072 }, "stop_on_invalid_record": { "description": "不正なレコードが存在した場合に転送を中止するかどうか。\n", "type": "boolean", "default": true }, "default_time_zone": { "description": "デフォルトのタイムゾーン\n", "type": "string", "default": "UTC" }, "default_date": { "description": "日付初期設定。時刻部分のみの値(例: 12:34:56)があった場合に設定される、日付部分のデフォルト値\n", "type": "string", "default": "1970-01-01" }, "newline": { "description": "改行コード\n", "type": "string", "enum": [ "CRLF", "LF", "CR" ], "default": "CRLF" }, "charset": { "description": "文字コード\n", "type": "string" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "columns" ] }, "jsonl_parser": { "allOf": [ { "title": "JsonlParser", "type": "object", "description": "Jsonl形式のファイルをパースするための設定。\n", "properties": { "stop_on_invalid_record": { "type": "boolean", "description": "不正なレコードが存在した場合に転送を中止するかどうか\n", "default": true }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン\n", "default": "UTC" }, "newline": { "type": "string", "nullable": true, "description": "改行コード\n", "default": "CRLF" }, "charset": { "type": "string", "nullable": true, "description": "文字エンコーディング\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "time_zone": { "type": "string", "description": "タイムゾーン\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "columns" ] }, "jsonpath_parser": { "allOf": [ { "title": "JsonpathParser", "type": "object", "description": "JsonPath形式のファイルをパースするための設定。\n", "properties": { "root": { "type": "string", "description": "ルート\n" }, "default_time_zone": { "type": "string", "description": "デフォルトのタイムゾーン\n", "default": "UTC" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "time_zone": { "type": "string", "description": "タイムゾーン\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "root", "columns" ] }, "ltsv_parser": { "allOf": [ { "title": "LtsvParser", "type": "object", "description": "LTSV形式のファイルをパースするための設定。\n", "properties": { "newline": { "type": "string", "nullable": true, "description": "改行コード\n", "default": "CRLF" }, "charset": { "type": "string", "nullable": true, "description": "文字エンコーディング\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } }, "required": [ "columns" ] }, { "nullable": true } ], "required": [ "columns" ] }, "excel_parser": { "allOf": [ { "title": "ExcelParser", "type": "object", "description": "Excel形式のファイルをパースするための設定。\n", "properties": { "default_time_zone": { "type": "string", "description": "日時カラムのタイムゾーン\n" }, "sheet_name": { "type": "string", "description": "シート名\n" }, "skip_header_lines": { "type": "integer", "description": "スキップするヘッダー行数\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" }, "formula_handling": { "type": "string" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "sheet_name", "skip_header_lines", "columns" ] }, "xml_parser": { "allOf": [ { "title": "XmlParser", "type": "object", "description": "XML形式のファイルをパースするための設定。\n", "properties": { "root": { "type": "string", "description": "ルートのパス(XPath形式)\n" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。typeがtimestampのときに指定することができます。\n" }, "path": { "type": "string", "description": "パス(XPath形式)\n" }, "timezone": { "type": "string", "description": "タイムゾーン。typeがtimestampのときに指定することができます。\n" } }, "required": [ "name", "type", "path" ] } } }, "required": [ "root", "columns" ] }, { "nullable": true } ] }, "raw_parser": { "allOf": [ { "title": "RawParser", "type": "object", "description": "ファイル全体を1レコード(単一カラム)として読み込むための設定。\n改行やデリミタで分割しないため、ヘッダーの無い複数行の生ログを「1ファイル = 1レコード」で取り込む用途に利用します。\nカラムはこの設定で指定する単一カラムのみとなるため、columns の指定はありません。\n", "properties": { "column_name": { "description": "ファイル全体の内容を格納するカラム名\n", "type": "string", "default": "record", "minLength": 1, "maxLength": 255 }, "charset": { "description": "文字コード。\n注意: UTF-16(バイトオーダー未指定)を指定すると、JDK のデコーダが先頭の BOM を\nバイトオーダー指定として消費するため、取り込んだ値に BOM が残りません。\nバイト列を厳密に保持したい場合は UTF-16BE / UTF-16LE を指定してください。\n", "type": "string", "default": "UTF-8", "enum": [ "UTF-8", "UTF-16BE", "UTF-16LE", "UTF-16", "Shift_JIS", "US-ASCII", "ISO-8859-1" ] }, "max_size_bytes": { "description": "1ファイルあたりに読み込む最大バイト数。\n超過した場合の挙動は stop_on_oversize で指定します。\n切り詰めはバイト単位で行われるため、末尾のマルチバイト文字が途中で切れる場合があります\n(切れた文字は出力に含まれません)。切り詰め時は末尾にマーカーが付与されるため、\n出力される値はこのバイト数をわずかに超えます。\n注意: ファイル内容を単一レコードとしてメモリ上に展開するため、1タスクあたりのピークメモリは\nこの値の約10倍になります(例: 上限の 256 MiB を指定すると 1 タスクあたり数 GiB のヒープを要します)。\nEmbulk は既定でコア数×2 タスクを並列実行するため、既定の 32 MiB を大きく超える値を設定する場合は\nworker のメモリサイジングに十分注意してください。\n", "type": "integer", "format": "int64", "minimum": 1, "maximum": 268435456, "default": 33554432 }, "stop_on_oversize": { "description": "max_size_bytes を超過した場合に転送を中止するかどうか。\nfalse の場合は超過分を切り詰め、切り詰めたことを示すマーカーを末尾に付与します。\n切り詰めても転送は成功扱いになり、データが欠けたことに気づけないため、既定は true です。\n", "type": "boolean", "default": true } } }, { "nullable": true } ] } }, "required": [ "url", "method" ] } ] }, "google_ads_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "GoogleAdsInputOptionInput", "type": "object", "description": "転送元Google Adsでの入力オプション\n", "properties": { "customer_id": { "type": "string", "description": "Google Adsのお客様ID(10桁の数字)\n" }, "resource_type": { "type": "string", "description": "取得するリソースタイプ\n例: customer, campaign, ad_group, ad_group_ad など\n" }, "start_date": { "type": "string", "nullable": true, "description": "データ取得開始日(YYYY-MM-DD形式)\nリソースタイプによっては指定できない場合があります。\n" }, "end_date": { "type": "string", "nullable": true, "description": "データ取得終了日(YYYY-MM-DD形式)\nリソースタイプによっては指定できない場合があります。\n" }, "google_ads_connection_id": { "type": "integer", "description": "Google Ads接続情報ID\n" }, "input_option_columns": { "type": "array", "description": "取得するフィールドの一覧\n", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "フィールド名\n" }, "type": { "type": "string", "description": "データ型\n", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "タイムスタンプ型の場合のフォーマット\n", "nullable": true } } } }, "conditions": { "type": "array", "description": "検索条件の一覧\n", "items": { "type": "string", "description": "WHERE句の条件式\n" } }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] } }, "required": [ "customer_id", "resource_type", "google_ads_connection_id", "input_option_columns" ] } ] }, "yahoo_ads_api_yss_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "YahooAdsApiYssInput", "type": "object", "description": "転送元yahoo_ads_api_yssでの入力オプション", "properties": { "yahoo_ads_api_connection_id": { "type": "integer", "description": "YahooAdsApiYss接続情報ID" }, "base_account_id": { "type": "string", "description": "ベースアカウントID" }, "account_id": { "type": "string", "description": "アカウントID" }, "service": { "type": "string", "description": "サービス", "default": "report_definition_service", "enum": [ "report_definition_service", "campaign_export_service" ] }, "start_date": { "type": "string", "description": "開始日", "nullable": true }, "end_date": { "type": "string", "description": "終了日", "nullable": true }, "report_type": { "type": "string", "description": "レポート種別", "enum": [ "ACCOUNT", "CAMPAIGN", "ADGROUP", "AD", "KEYWORDS", "SEARCH_QUERY", "GEO", "GEO_TARGET", "SCHEDULE_TARGET", "BID_STRATEGY", "ADGROUP_TARGET_LIST", "CAMPAIGN_TARGET_LIST", "LANDING_PAGE_URL", "KEYWORDLESS_QUERY", "WEBPAGE_CRITERION", "BID_MODIFIER", "CAMPAIGN_ASSET", "ADGROUP_ASSET", "RESPONSIVE_ADS_FOR_SEARCH_ASSET", "ASSET_COMBINATIONS" ], "nullable": true }, "exclude_zero_impressions": { "type": "boolean", "description": "フィルター設定", "default": false }, "custom_variable_settings": { "description": "カスタム変数の設定", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "yahoo_ads_api_connection_id", "base_account_id", "account_id", "service", "input_option_columns" ] } ] }, "yahoo_ads_api_ydn_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "YahooAdsApiYdnInput", "type": "object", "description": "転送元yahoo_ads_api_ydnでの入力オプション", "properties": { "yahoo_ads_api_connection_id": { "type": "integer", "description": "Yahoo!広告 API接続情報" }, "target": { "type": "string", "description": "取得方法", "enum": [ "report", "stats" ] }, "base_account_id": { "type": "string", "description": "ベースアカウントID" }, "account_id": { "type": "string", "description": "アカウントID" }, "report_type": { "type": "string", "description": "タイプ。targetがstatsの場合のみ指定する", "enum": [ "CAMPAIGN", "ADGROUP", "AD" ], "nullable": true }, "report_type_condition": { "type": "string", "description": "レポート種別。targetがreportの場合のみ指定する。未指定の場合は通常の広告レポートを取得する", "enum": [ "REACH", "CONVERSION_PATH", "CROSS_CAMPAIGN_REACHES", "MODEL_COMPARISON" ], "nullable": true }, "report_date_range_type": { "type": "string", "description": "集計対象期間。targetがreportの場合のみ指定する。省略した場合はCUSTOM_DATEとなる。 CUSTOM_DATEの場合はstart_date・end_dateが必須となる。 report_type_conditionがREACHの場合はCUSTOM_DATEを指定できない。 GUARANTEED_CAMPAIGN_PERIOD (通期) はreport_type_conditionがREACHの場合のみ指定でき、frequency_rangeもGUARANTEED_CAMPAIGN_PERIODにする必要がある", "enum": [ "CUSTOM_DATE", "TODAY", "YESTERDAY", "LAST_7_DAYS", "LAST_14_DAYS", "LAST_30_DAYS", "LAST_WEEK", "LAST_BUSINESS_WEEK", "LAST_MONTH", "THIS_MONTH", "THIS_MONTH_EXCEPT_TODAY", "GUARANTEED_CAMPAIGN_PERIOD" ], "nullable": true }, "frequency_range": { "type": "string", "description": "リーチ頻度の計測単位。report_type_conditionがREACHの場合は必須", "enum": [ "DAILY", "WEEKLY", "MONTHLY", "GUARANTEED_CAMPAIGN_PERIOD" ], "nullable": true }, "lookback_window": { "type": "integer", "description": "ルックバック期間 (日数)。report_type_conditionがCONVERSION_PATHまたはMODEL_COMPARISONの場合は必須", "minimum": 0, "maximum": 90, "nullable": true }, "include_view_interaction": { "type": "boolean", "description": "ビューインタラクションを含めるかどうか。report_type_conditionがCONVERSION_PATHまたはMODEL_COMPARISONの場合のみ指定する", "nullable": true }, "include_video_interaction": { "type": "boolean", "description": "動画インタラクションを含めるかどうか。report_type_conditionがMODEL_COMPARISONの場合のみ指定する", "nullable": true }, "base_model": { "type": "string", "description": "比較元モデル。report_type_conditionがMODEL_COMPARISONの場合は必須", "enum": [ "LAST", "FIRST", "LINEAR", "POSITION_BASED" ], "nullable": true }, "comparative_model": { "type": "string", "description": "比較先モデル。report_type_conditionがMODEL_COMPARISONの場合は必須", "enum": [ "LAST", "FIRST", "LINEAR", "POSITION_BASED" ], "nullable": true }, "cross_campaign_type": { "type": "string", "description": "組み合わせ種別。report_type_conditionがCROSS_CAMPAIGN_REACHESの場合は必須", "enum": [ "CAMPAIGN_ID", "CAMPAIGN_GOAL", "CAMPAIGN_BUYING_TYPE" ], "nullable": true }, "cross_campaign_values": { "type": "array", "description": "組み合わせ対象。report_type_conditionがCROSS_CAMPAIGN_REACHESの場合は必須で、2〜3個指定する。 cross_campaign_typeがCAMPAIGN_IDの場合はキャンペーンID、CAMPAIGN_GOALの場合はキャンペーン目的 (WEBSITE_TRAFFIC / VIDEO_VIEW / APP_PROMOTION / CONVERSION / ITEM_LIST / BRAND_AWARENESS / STORE_VISIT / PAYPAY_GIFT / GAIN_FRIENDS)、CAMPAIGN_BUYING_TYPEの場合は購入タイプ (AUCTION / GUARANTEED) を指定する(指定順)", "items": { "type": "string" }, "nullable": true }, "conversion_path_filters": { "type": "array", "description": "コンバージョン経路レポートの絞り込み条件。report_type_conditionがCONVERSION_PATHの場合のみ指定できる。 省略した場合はアカウント配下のすべてのキャンペーン・コンバージョンが対象となる。 valuesを複数指定した場合はOR条件、条件を複数指定した場合はAND条件となる。 指定した場合は既存の絞り込み条件をすべて置き換える", "items": { "type": "object", "properties": { "filter_type": { "type": "string", "description": "絞り込み対象の項目", "enum": [ "CAMPAIGN_ID", "CAMPAIGN_NAME", "CONVERSION_ID", "ADGROUP_ID", "ADGROUP_NAME" ] }, "filter_operator": { "type": "string", "description": "絞り込み条件の演算子", "enum": [ "EQUALS", "NOT_EQUALS", "CONTAINS", "NOT_CONTAINS", "START_WITH", "END_WITH" ] }, "values": { "type": "array", "description": "絞り込みに使用する値。複数指定した場合はOR条件となる", "items": { "type": "string" } } }, "required": [ "filter_type", "filter_operator", "values" ] }, "nullable": true }, "start_date": { "type": "string", "description": "開始日。targetがstatsの場合、またはreport_date_range_typeがCUSTOM_DATEの場合は必須", "nullable": true }, "end_date": { "type": "string", "description": "終了日。targetがstatsの場合、またはreport_date_range_typeがCUSTOM_DATEの場合は必須", "nullable": true }, "include_deleted": { "type": "boolean", "description": "削除済み広告を含める", "nullable": true }, "custom_variable_settings": { "description": "カスタム変数の設定", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "yahoo_ads_api_connection_id", "target", "base_account_id", "account_id", "input_option_columns" ] } ] }, "mongodb_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "MongodbInputOptionInput", "type": "object", "description": "転送元MongoDBでの入力オプション\n", "properties": { "database": { "type": "string", "description": "データベース名\n" }, "collection": { "type": "string", "description": "コレクション名\n" }, "query": { "type": "string", "description": "クエリ。incremental_loading_enabledがfalseの場合は必須です。\n", "nullable": true }, "incremental_loading_enabled": { "type": "boolean", "description": "転送方法。\ntrue: 差分転送 (前回転送時からの増分データのみ転送)\nfalse: クエリを使用して転送\n", "default": false }, "incremental_columns": { "type": "string", "nullable": true, "description": "増分データを判別するカラム。\nここで指定したカラムの値が、転送の度に「最後に転送されたレコード」に保存されます。\n2回目以降の転送時は、「増分データを判別するカラム」の値が前回転送時の値 (=「最後に転送されたレコード」) より大きいレコードのみ転送します。\n複数カラム指定したい場合はカンマ区切りで指定してください。\n" }, "last_record": { "type": "object", "nullable": true, "description": "最後に転送されたレコード\n差分更新時はここで指定された値より新しいデータを転送します。\nフォームが空欄の場合は最初から転送します。特別な理由がない限り、この値を変更しないでください。\nデータの重複が起こる可能性があります。\n" }, "stop_on_invalid_record": { "type": "boolean", "description": "不正なレコードが存在した場合に転送を中止するかどうか\n", "default": false }, "mongodb_connection_id": { "type": "integer", "description": "MongoDB接続情報ID\n" }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] }, "input_option_columns": { "allOf": [ { "title": "InputOptionColumn", "type": "object", "description": "カラム情報\n", "properties": { "name": { "type": "string", "description": "カラム名" }, "type": { "type": "string", "enum": [ "boolean", "long", "timestamp", "double", "string", "json" ], "description": "カラムの型" } }, "required": [ "name", "type" ] } ] } }, "required": [ "database", "collection", "mongodb_connection_id", "input_option_columns" ] } ] }, "sftp_input_option": { "type": "object", "nullable": true, "allOf": [ { "title": "SftpInputOptionInput", "type": "object", "description": "転送元SFTPでの入力オプション\n", "properties": { "sftp_connection_id": { "description": "SFTPの接続情報のID\n", "type": "integer" }, "path_prefix": { "description": "パスプレフィックス\n", "type": "string" }, "path_match_pattern": { "description": "パスの正規表現\n", "type": "string" }, "incremental_loading_enabled": { "description": "転送方法\n", "type": "boolean", "default": false }, "last_path": { "description": "最後に転送されたパス\n", "type": "string" }, "is_skip_header_line": { "description": "ヘッダー行をスキップするかどうかのフラグ\nヘッダー行を含まないCSV/TSVファイルの場合、TROCCO側で生成した仮のヘッダー名を割り当てます。\n", "type": "boolean", "default": false }, "stop_when_file_not_found": { "description": "指定のパスにファイルが存在しなかった場合に転送を続行するか\n", "type": "boolean", "default": false }, "decompression_type": { "description": "解凍形式\n", "type": "string", "enum": [ "guess", "zip", "targz" ], "default": "guess" }, "decoder": { "description": "解凍方式の指定\n", "allOf": [ { "title": "DecoderInput", "type": "object", "properties": { "match_name": { "type": "string", "nullable": true, "description": "解凍後の相対パス。未入力の場合、圧縮ファイル内のすべてのデータが転送対象になります。\n" } } }, { "nullable": true } ] }, "custom_variable_settings": { "description": "カスタム変数の設定\n", "allOf": [ { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] }, { "nullable": true } ] } }, "allOf": [ { "title": "ParsersCreateInputs", "type": "object", "properties": { "csv_parser": { "allOf": [ { "title": "CsvParser", "type": "object", "description": "CSV形式のファイルをパースするための設定。\n", "properties": { "delimiter": { "description": "区切り文字\n", "type": "string", "default": "," }, "quote": { "description": "クォート文字\n", "type": "string", "default": "\"" }, "escape": { "description": "エスケープ文字\n", "type": "string", "nullable": true, "default": "\\" }, "skip_header_lines": { "description": "スキップするヘッダー行数\n", "type": "integer", "default": 0 }, "null_string_enabled": { "description": "NULLに置換される文字列\n", "type": "boolean", "default": false }, "null_string": { "description": "置換元の文字列。未入力の場合、空文字がNULLに置換されます。\n", "type": "string" }, "trim_if_not_quoted": { "description": "引用符がない場合に値から空白を取り除くかどうか\n", "type": "boolean", "default": false }, "quotes_in_quoted_fields": { "description": "イレギュラーなクオートの処理方式。クオート付きフィールド内で、イレギュラーなクオートが存在した場合の処理方法\n", "type": "string", "enum": [ "ACCEPT_ONLY_RFC4180_ESCAPED", "ACCEPT_STRAY_QUOTES_ASSUMING_NO_DELIMITERS_IN_FIELDS" ], "default": "ACCEPT_ONLY_RFC4180_ESCAPED" }, "comment_line_marker": { "description": "コメントラインマーカー。この文字が行の始めにあったらスキップします\n", "type": "string" }, "allow_optional_columns": { "description": "カラム数が減っている行の処理。true: 足りないカラムをNULL補完する。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "allow_extra_columns": { "description": "カラム数が増えている行の処理。 true: カラムを無視して処理。 false: 不正なレコードとして処理する\n", "type": "boolean", "default": false }, "max_quoted_size_limit": { "description": "引用符で囲める最大データ量\n", "type": "integer", "default": 131072 }, "stop_on_invalid_record": { "description": "不正なレコードが存在した場合に転送を中止するかどうか。\n", "type": "boolean", "default": true }, "default_time_zone": { "description": "デフォルトのタイムゾーン\n", "type": "string", "default": "UTC" }, "default_date": { "description": "日付初期設定。時刻部分のみの値(例: 12:34:56)があった場合に設定される、日付部分のデフォルト値\n", "type": "string", "default": "1970-01-01" }, "newline": { "description": "改行コード\n", "type": "string", "enum": [ "CRLF", "LF", "CR" ], "default": "CRLF" }, "charset": { "description": "文字コード\n", "type": "string" }, "columns": { "description": "カラム設定\n", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カラム名\n", "type": "string" }, "type": { "description": "型\n", "type": "string", "enum": [ "string", "long", "timestamp", "double", "boolean", "json" ] }, "format": { "type": "string", "description": "フォーマット。型がtimestampのときに指定することができます。\n" } }, "required": [ "name", "type" ] } } } }, { "nullable": true } ], "required": [ "columns" ] }, "jsonl_parser": { "allOf": [ { "title": "JsonlParser", "type": "object", "description": "Jsonl形式のファイルをパースするための設定。\n", "properties": { "stop_on_invalid_rec
[...]
